Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class RDF_Resource

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Resource
            |
            +--gr.forth.ics.vrp.corevrp.model.RDF_Resource

Direct Known Subclasses:
  RDF_Class, RDF_Container, RDF_Property, RDF_Statement

public class RDF_Resource
extends Resource

RDF_Resource.java - For Resources containing RDFS or RDF info.

Method Summary
`void` | `addcomment(Literal com)` Add a comment to the resource.
`void` | `addisDefinedBy(int iDB)` Add a isDefiniedBy statement to the resource.
`void` | `addlabel(Literal lab)` Add a label to the resource.
`void` | `addseeAlso(int sA)` Add a seeAlso statement to the resource.
`void` | `addtype(RDF_Class c, Existing ex)` Add a type to the resource.
`void` | `addvalue(int val)` Add a value statement to the resource.
`void` | `addvalue(Literal val)`
`ArrayList` | `getcomment()` Get the comments of the resource.
`ArrayList` | `getisDefinedBy()` Get the isDefinedBy statements of the resource.
`ArrayList` | `getlabel()` Get the labels of the resource.
`ArrayList` | `getseeAlso()` Get the seeAlso statements of the resource.
`ArrayList` | `gettype()` Get the type of the resource.
`ArrayList` | `getvalue()` Get the value statements of the resource.
`boolean` | `has_type(RDF_Class type)` For validation
`void` | `setcomment(ArrayList list)` Set the comments of the resource.
`void` | `setisDefinedBy(ArrayList list)` Set the isDefinedBy statements of the resource.
`void` | `setlabel(ArrayList list)` Set the labels of the resource.
`void` | `setseeAlso(ArrayList list)` Set the seeAlso statements of the resource.
`void` | `settype(ArrayList list)` Set the type of the resource.
`void` | `setvalue(ArrayList list)` Set the value statements of the resource.
`void` | `solve_links(Existing existing)` This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

Methods inherited from class gr.forth.ics.vrp.corevrp.model.Resource
`getID, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addcomment

    public void addcomment(Literal com)

  Add a comment to the resource.

### setcomment

    public void setcomment(ArrayList list)

  Set the comments of the resource.

### getcomment

    public ArrayList getcomment()

  Get the comments of the resource.

### addlabel

    public void addlabel(Literal lab)

  Add a label to the resource.

### setlabel

    public void setlabel(ArrayList list)

  Set the labels of the resource.

### getlabel

    public ArrayList getlabel()

  Get the labels of the resource.

### addseeAlso

    public void addseeAlso(int sA)

  Add a seeAlso statement to the resource.

### setseeAlso

    public void setseeAlso(ArrayList list)

  Set the seeAlso statements of the resource.

### getseeAlso

    public ArrayList getseeAlso()

  Get the seeAlso statements of the resource.

### addisDefinedBy

    public void addisDefinedBy(int iDB)

  Add a isDefiniedBy statement to the resource.

### setisDefinedBy

    public void setisDefinedBy(ArrayList list)

  Set the isDefinedBy statements of the resource.

### getisDefinedBy

    public ArrayList getisDefinedBy()

  Get the isDefinedBy statements of the resource.

### addvalue

    public void addvalue(int val)

  Add a value statement to the resource.

### addvalue

    public void addvalue(Literal val)

### setvalue

    public void setvalue(ArrayList list)

  Set the value statements of the resource.

### getvalue

    public ArrayList getvalue()

  Get the value statements of the resource.

### addtype

    public void addtype(RDF_Class c,
                        Existing ex)

  Add a type to the resource. It is not allowed to mix the type: statement, class or property.

### settype

    public void settype(ArrayList list)

  Set the type of the resource. This method is used to copy information to a new created class or property. The type: class, property and statement will not be mixed in the array list, so, we do not have to test this here.

### gettype

    public ArrayList gettype()

  Get the type of the resource.

### solve_links

    public void solve_links(Existing existing)

  This method is for changing the Integer to links to the real java objects so, we do not need the HashTables any more.

### has_type

    public boolean has_type(RDF_Class type)

  For validation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD